library verilog;
use verilog.vl_types.all;
entity i2c_module is
    generic(
        start_state     : integer := 0;
        addr_comp       : integer := 1;
        write_state     : integer := 2;
        read_state      : integer := 3
    );
    port(
        scl             : in     vl_logic;
        i2c_rst         : in     vl_logic;
        sda_in          : in     vl_logic;
        gpio_input_pins : in     vl_logic_vector(7 downto 0);
        ack_out         : out    vl_logic;
        out_en          : out    vl_logic;
        sda_out         : out    vl_logic;
        gpio_output_pins: out    vl_logic_vector(7 downto 0)
    );
end i2c_module;
