MODEL
MODEL_VERSION "v1998.8";
DESIGN "top";

/* port names and type */
INPUT S:PINJ1 = pld_i2c_scl;
INPUT S:PINB1 = pld_i2c_rst;
INPUT S:PINF1 = gpio_input_pins<0>;
INPUT S:PINE3 = gpio_input_pins<1>;
OUTPUT S:PINK1 = pld_i2c_sda;
OUTPUT S:PINE1 = gpio_output_pins<0>;
OUTPUT S:PING1 = gpio_output_pins<1>;
OUTPUT S:PINF3 = gpio_output_pins<2>;
OUTPUT S:PINH1 = gpio_output_pins<3>;
OUTPUT S:PING3 = gpio_output_pins<4>;
OUTPUT S:PINK2 = gpio_output_pins<5>;
OUTPUT S:PINK3 = gpio_output_pins<6>;
OUTPUT S:PINH3 = gpio_output_pins<7>;

/* timing arc definitions */
pld_i2c_scl_pld_i2c_sda_delay: DELAY pld_i2c_scl pld_i2c_sda;
pld_i2c_scl_gpio_output_pins<0>_delay: DELAY pld_i2c_scl gpio_output_pins<0>;
pld_i2c_scl_gpio_output_pins<1>_delay: DELAY pld_i2c_scl gpio_output_pins<1>;
pld_i2c_scl_gpio_output_pins<2>_delay: DELAY pld_i2c_scl gpio_output_pins<2>;
pld_i2c_scl_gpio_output_pins<3>_delay: DELAY pld_i2c_scl gpio_output_pins<3>;
pld_i2c_scl_gpio_output_pins<4>_delay: DELAY pld_i2c_scl gpio_output_pins<4>;
pld_i2c_scl_gpio_output_pins<5>_delay: DELAY pld_i2c_scl gpio_output_pins<5>;
pld_i2c_scl_gpio_output_pins<6>_delay: DELAY pld_i2c_scl gpio_output_pins<6>;
pld_i2c_scl_gpio_output_pins<7>_delay: DELAY pld_i2c_scl gpio_output_pins<7>;

/* timing check arc definitions */
ENDMODEL
